body, html{
    position: fixed;
    width: 100%;
    height: 100%;
}


#header{
    height: 70px;
}


#header .nav-link{
    color : #ccc;
    padding-top:5px;
}


#header img{
    height : 40px;
    margin-right : 15px;
}

#header img{
    border-radius : 50px;
}

#page_container{
    position: absolute;
    display: flex;
    top: 70px;
    bottom: 0px;
    right: 0px;
    left: 0px;
    overflow: 
}

#sidebar {
    background-color: #ccc;
    width: 15%;
    min-width: fit-content;
    padding: 15px; 
}

#sidebar .nav-link{
    color: #24365f;
}

#sidebar .nav-link.active {
    background-color: #24365f !important; 
    color: #fff;
}

.bi-info-circle-fill{
    color: #24365f;
}

#content {
    width: 100%;
    padding: 25px;
    overflow-y: scroll;
}
/*
@media screen and (max-width: 1200px) {
    body{
        //width:1200px;
    }
    #page_container{
        //width:1200px;
        //height:3000px;
    }
    #header{
        //width:1200px;
    }
}*/

#footer{
    margin-top:25px;
    text-align:center;
    color:#555;
    font-style: italic;
}

.card{
    margin-bottom: 10px;
}

p{
    margin: 0.25em;
}

.btn_taxon{
    margin-bottom: 0.25em;
}

.popover {
    max-width: 50vw;
    max-height: 50vh;
    /*overflow-x: visible;
    overflow-y: scroll;*/
}

.help_popover{
    overflow-y: scroll;
    height: 40vh;
}

._dash-loading-callback {
position: fixed;
z-index: 100;

position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(255, 255, 255, 0.5);
text-align: center;
z-index: 100000;
}

._dash-loading-callback::after {
    content: '';
    
    position: fixed;
    top:50%;
    left:50%;
    margin-left:-75px;
    margin-top:-75px;
    
    width: 150px;
    height: 150px;
    border: 15px solid #212529;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
} 
